Cubewire LogoDeveloper
Support
Onboarding
Cubewire Developer Hub Logo
SOC 2 Compliant

Developer documentation and tools for Cubewire's digital wallet infrastructure. Built for developers, by developers.

developers@cubewire.com
TwitterGitHubDiscord

Developer Tools

  • API Documentation
  • API Reference

Resources

  • Documentation

Company

  • About
  • Contact

Legal

  • Privacy Policy
  • Terms of Service
© 2026 Cubewire. All rights reserved.
Developer Documentation Portal•Built with ♥ for developers
  1. Cubewire Wallet
  2. Manage Networks

Networks & Assets

Cubewire supports multiple blockchain networks and asset types. This document covers network configuration, supported chains, and asset management.

Network Object

Each network returned by the API includes the following properties:

FieldTypeDescription
idUUIDUnique network identifier
namestringHuman-readable network name
chainIdstringBlockchain chain ID
statusstringNetwork status (active, inactive)
typestringNetwork type (MAINNET, TESTNET)
explorerstringURL for the network's block explorer
symbolstringNative currency symbol (e.g., "ETH")
decimalsnumberDecimal places for native currency (typically 18)
nativeTokenLogoUrlstringURL to native token logo (nullable)
isCustomChainbooleanWhether this is a custom/private chain
blockscoutApiUrlstringBlockscout API URL (nullable)
organizationIdUUIDOrganization ID for custom chains
createdAtdatetimeNetwork creation timestamp (ISO 8601)
updatedAtdatetimeLast update timestamp (ISO 8601)

Example network object:

{
  "id": "f8a7b6c5-d4e3-4f2a-1b0c-9d8e7f6a5b4c",
  "name": "Ethereum Sepolia Testnet",
  "chainId": "11155111",
  "status": "active",
  "type": "TESTNET",
  "explorer": "https://sepolia.etherscan.io",
  "symbol": "ETH",
  "decimals": 18,
  "nativeTokenLogoUrl": "https://assets.cubewire.com/tokens/eth.png",
  "isCustomChain": false,
  "blockscoutApiUrl": "https://eth-sepolia.blockscout.com/api",
  "organizationId": "b4c3d2e1-f0a9-4b8c-7d6e-5f4a3b2c1d0e",
  "createdAt": "2025-11-15T14:30:00.000Z",
  "updatedAt": "2025-11-15T14:30:00.000Z"
}

Asset Types

Native Currency

The blockchain's native currency (ETH, MATIC, etc.).

Properties:

FieldTypeDescription
typestringAlways "native"
symbolstringCurrency symbol (optional, auto-detected)
decimalsnumberDecimal places (optional, auto-detected)

Example:

{
  "asset": {
    "type": "native",
    "symbol": "ETH",
    "decimals": 18
  }
}

ERC-20 Tokens

Standard fungible tokens on EVM networks.

Properties:

FieldTypeRequiredDescription
typestringYesAlways "token"
addressstringYesToken contract address
symbolstringNoToken symbol (auto-fetched if omitted)
decimalsnumberNoDecimal places (auto-fetched if omitted)

Example:

{
  "asset": {
    "type": "token",
    "address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
    "symbol": "USDC",
    "decimals": 6
  }
}

Using Chain IDs

In Transactions

Specify the target network using chainId:

{
  "type": "TRANSFER",
  "sender": {
    "vaultId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  },
  "recipient": {
    "address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb"
  },
  "asset": {
    "type": "native",
    "symbol": "ETH",
    "decimals": 18
  },
  "amount": "1000000000000000000",
  "chainId": 1,
  "gasLimit": "21000",
  "maxFeePerGas": "50000000000",
  "maxPriorityFeePerGas": "2000000000"
}

Related Topics

  • Transactions — Using networks in transactions
  • Vaults — Vault addresses per network

API Reference

For complete API documentation including endpoints, request/response examples, and code samples:

  • List networks — GET /api/v1/networks
  • Create network — POST /api/v1/networks
  • Get network by chain ID — GET /api/v1/networks/by-chain-id/{chainId}
  • Get networks registry — GET /api/v1/networks/registry
  • Get network — GET /api/v1/networks/{id}
  • Update network — PATCH /api/v1/networks/{id}
  • Delete network — DELETE /api/v1/networks/{id}

On this page

  • Network Object
  • Asset Types
  • Native Currency
  • ERC-20 Tokens
  • Using Chain IDs
  • In Transactions
  • Related Topics
  • API Reference
  1. Cubewire Wallet
  2. Manage Networks

Networks & Assets

Cubewire supports multiple blockchain networks and asset types. This document covers network configuration, supported chains, and asset management.

Network Object

Each network returned by the API includes the following properties:

FieldTypeDescription
idUUIDUnique network identifier
namestringHuman-readable network name
chainIdstringBlockchain chain ID
statusstringNetwork status (active, inactive)
typestringNetwork type (MAINNET, TESTNET)
explorerstringURL for the network's block explorer
symbolstringNative currency symbol (e.g., "ETH")
decimalsnumberDecimal places for native currency (typically 18)
nativeTokenLogoUrlstringURL to native token logo (nullable)
isCustomChainbooleanWhether this is a custom/private chain
blockscoutApiUrlstringBlockscout API URL (nullable)
organizationIdUUIDOrganization ID for custom chains
createdAtdatetimeNetwork creation timestamp (ISO 8601)
updatedAtdatetimeLast update timestamp (ISO 8601)

Example network object:

{
  "id": "f8a7b6c5-d4e3-4f2a-1b0c-9d8e7f6a5b4c",
  "name": "Ethereum Sepolia Testnet",
  "chainId": "11155111",
  "status": "active",
  "type": "TESTNET",
  "explorer": "https://sepolia.etherscan.io",
  "symbol": "ETH",
  "decimals": 18,
  "nativeTokenLogoUrl": "https://assets.cubewire.com/tokens/eth.png",
  "isCustomChain": false,
  "blockscoutApiUrl": "https://eth-sepolia.blockscout.com/api",
  "organizationId": "b4c3d2e1-f0a9-4b8c-7d6e-5f4a3b2c1d0e",
  "createdAt": "2025-11-15T14:30:00.000Z",
  "updatedAt": "2025-11-15T14:30:00.000Z"
}

Asset Types

Native Currency

The blockchain's native currency (ETH, MATIC, etc.).

Properties:

FieldTypeDescription
typestringAlways "native"
symbolstringCurrency symbol (optional, auto-detected)
decimalsnumberDecimal places (optional, auto-detected)

Example:

{
  "asset": {
    "type": "native",
    "symbol": "ETH",
    "decimals": 18
  }
}

ERC-20 Tokens

Standard fungible tokens on EVM networks.

Properties:

FieldTypeRequiredDescription
typestringYesAlways "token"
addressstringYesToken contract address
symbolstringNoToken symbol (auto-fetched if omitted)
decimalsnumberNoDecimal places (auto-fetched if omitted)

Example:

{
  "asset": {
    "type": "token",
    "address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
    "symbol": "USDC",
    "decimals": 6
  }
}

Using Chain IDs

In Transactions

Specify the target network using chainId:

{
  "type": "TRANSFER",
  "sender": {
    "vaultId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  },
  "recipient": {
    "address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb"
  },
  "asset": {
    "type": "native",
    "symbol": "ETH",
    "decimals": 18
  },
  "amount": "1000000000000000000",
  "chainId": 1,
  "gasLimit": "21000",
  "maxFeePerGas": "50000000000",
  "maxPriorityFeePerGas": "2000000000"
}

Related Topics

  • Transactions — Using networks in transactions
  • Vaults — Vault addresses per network

API Reference

For complete API documentation including endpoints, request/response examples, and code samples:

  • List networks — GET /api/v1/networks
  • Create network — POST /api/v1/networks
  • Get network by chain ID — GET /api/v1/networks/by-chain-id/{chainId}
  • Get networks registry — GET /api/v1/networks/registry
  • Get network — GET /api/v1/networks/{id}
  • Update network — PATCH /api/v1/networks/{id}
  • Delete network — DELETE /api/v1/networks/{id}

On this page

  • Network Object
  • Asset Types
  • Native Currency
  • ERC-20 Tokens
  • Using Chain IDs
  • In Transactions
  • Related Topics
  • API Reference